Subject: bug#56820: outline-minor-mode replacing the first character with an arrow

From: Jim Porter <[email-masked]>
Date: Fri, 29 Jul 2022 21:40:44 -0700

On 7/29/2022 8:27 PM, Yilkal Argaw wrote:
> Thanks  that fixed the default behaviour but
> outline-minor-mode-use-buttons option still has a weird bug because
> when you use it with modes like python-mode and ruby-mode it replaces
> the first character of the outline-regep which for the aforementioned
> modes is strings like "module", "class", "def" etc... so when it
> replaces the first character it renders the buffer unreadable. So it
> might be better to insert the arrows in front of the first character
> instead of replacing the first character.

Would it make sense to put the buttons on the fringe? I suppose other 
indicators might compete with the outline-minor-mode buttons then, but 
at least it wouldn't disrupt the buffer contents.

(Maybe some modes like help-mode would still want in-buffer buttons 
though...)